Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3598)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/data_Fer_nomask.nc     , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/dust.orca.nc           , . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca.nc          , . ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca_v1.nc       , bathy.orca.nc), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/river.orca.nc          , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc    , . ), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3598)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/data_Fer_nomask.nc     , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/dust.orca.nc           , . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca.nc          , . ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca_v1.nc       , bathy.orca.nc), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/river.orca.nc          , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc    , . ), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card	(revision 3598)
@@ -10,7 +10,6 @@
 #10m_winds_method=threshold --> use threshold method for 10m wind from gcm
 10m_winds_method=threshold
-# Set climatological to choose the write_frequency for inca output (inca_avgr, forcage, inca_inst)
-# 86400 = daily output
-freq_write_chem=86400
+#choose threshold or weibull10 parameter value
+wind_parameter=0.85
 # heat fluxes computed with feedback corresponding to 0 --> no aerosol effects, 1--> aerosol effects selected by ok_ade, ok_aie
 feedb=0
@@ -22,4 +21,9 @@
 #active or not chemistry flux in output 
 calcul_flux=n
+#choose which type of aircraft you will use (0 - 1 - 2 - 3) (no aircraft / old inca aircraft / new subsonic inca aircraft / subsonic + hypersonic inca aircraft)
+flag_plane=1
+#choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
+#be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc / sflx_SZ.nc ) 
+emi_interp_time=1
 
 # Use XIOS and/or IOIPSL as output library
@@ -35,8 +39,7 @@
 ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/o3clim.nc		,   o3clim.nc		)\
-            (/ccc/work/cont003/dsm/p24cozic/INPUT/INPUT_STRAT/SAD_Pa/sadclim_lmdz_phy_2006.nc 	,   sad.nc		)\
-            (/ccc/work/cont003/dsm/p24cozic/INPUT/INPUT_STRAT/lglived.dat                        	,   lglived.dat		)\
-            (/ccc/work/cont003/dsm/p24cozic/INPUT/INPUT_STRAT/aircraft_IMPACT_REACT4C_phy.nc 		,   aircraft_hour.nc         )\
-            (/ccc/work/cont003/dsm/p24haug/INPUT/sflx_eclipse4a_GFED31_2010.nc       ,   sflx.nc        )\
+	    (${R_IN}/CHM/INCA${RESOL_CHM}/so4.nc		,   so4.nc		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/aircraft.nc		,   aircraft_mth.nc    	)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/sflx_nitrate.nc	,   sflx_p2p.nc		)\
 	    (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc		,   landuse.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt		,   rhvEC.txt		)\
@@ -46,5 +49,5 @@
             (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat		,   cly.dat		)\
  	    (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat		,   rhv.dat		)\
-            (/ccc/work/cont003/dsm/p24cozic/INPUT/INPUT_STRAT/new_phototable.dat,   phototable.dat      )
+ 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   	,   phototable.dat	)
 
 
@@ -53,6 +56,7 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER.xml, file_def_inca.xml), \
-    	(${MODIPSL}/bin/inca.dat, inca.dat)
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
+    	(${MODIPSL}/bin/inca.dat, .)
 
 [RestartFiles]
@@ -62,17 +66,29 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
 
 [OutputFiles]
-List=	(inca_emi.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     ,  NONE                  ),\
-	(inca_species.nc ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc ,  Post_1D_inca_species  ),\
-	(inca_dvel.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dvel.nc    ,  NONE                  ),\
-	(inca_chem.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc    ,  Post_1D_inca_chem     ),\
-	(inca_aero.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc    ,  Post_1D_inca_aero     ),\
-	(inca_reacflux.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc,  NONE                  ),\
-	(inca_washrate.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc,  NONE                  ),\
-	(inca_forcage.nc ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc ,  Post_1D_inca_forcage  ),\
-	(inca_veget.nc   ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_veget.nc   ,  Post_1D_inca_veget    ),\
-	(inca_oxydants.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_oxydants.nc,  NONE                  ) 
+List=	(inca1d_emi.nc     	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     	,  NONE                  ),\
+	(inca1d_species.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc 	,  Post_1D_inca_species  ),\
+	(inca1d_dep.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc    	,  NONE                  ),\
+	(inca1d_chem.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc    	,  Post_1D_inca_chem     ),\
+	(inca1d_aero.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc    	,  Post_1D_inca_aero     ),\
+	(inca1d_phtrate.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_phtrate.nc 	,  NONE  		 ),\
+	(inca1d_reacflux.nc	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc	,  NONE                  ),\
+	(inca1d_washrate.nc	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc	,  NONE                  ),\
+	(inca1d_forcage.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc 	,  Post_1D_inca_forcage  ),\
+	(inca1d_veget.nc   	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_veget.nc   	,  Post_1D_inca_veget    ),\
+	(inca1m_emi.nc     	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     	,  NONE                  ),\
+	(inca1m_species.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc 	,  NONE                  ),\
+	(inca1m_dep.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc    	,  NONE                  ),\
+	(inca1m_chem.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    	,  NONE                  ),\
+	(inca1m_aero.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    	,  NONE                  ),\
+	(inca1m_phtrate.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_phtrate.nc 	,  NONE  		 ),\
+	(inca1m_reacflux.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc	,  NONE                  ),\
+	(inca1m_washrate.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc	,  NONE                  ),\
+	(inca1m_forcage.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc 	,  NONE                  ),\
+	(inca1m_veget.nc   	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   	,  NONE                  ),\
+	(aerosols_from_inca.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,  NONE			 ),\
+	(inca_oxydants.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_oxydants.nc	,  NONE                  ) 
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/pisces.card	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/pisces.card	(revision 3598)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/data_Fer_nomask.nc     , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/dust.orca.nc           , . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca.nc          , . ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca_v1.nc       , bathy.orca.nc), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/river.orca.nc          , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc    , . ), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/piControl/COMP/pisces.card	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/piControl/COMP/pisces.card	(revision 3598)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/data_Fer_nomask.nc     , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/dust.orca.nc           , . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca.nc          , . ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/bathy.orca_v1.nc       , bathy.orca.nc), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/river.orca.nc          , . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc    , . ), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver	(revision 3598)
@@ -39,12 +39,14 @@
     echo LMDZ physics version : ${LMDZ_Physics}
 
+    enable1=.FALSE.
+    enable2=.FALSE.
+
     for frequency in ${config_CHM_WriteFrequency} ; do
-    case ${frequency} in
-        1M|1m) freq_output=1mo ;;
-        1D|1d) freq_output=1d ;;
-            *) IGCM_debug_Exit "CHM_Update " ${frequency} " invalid WriteFrequency : choose between 1M and 1D"
-        IGCM_debug_Verif_Exit ;;
-
-    esac
+	case ${frequency} in 
+	    1D|1d) enable1=.TRUE. ;;
+	esac
+	case ${frequency} in
+	    1M|1m) enable2=.TRUE. ;;
+	esac
     done
 
@@ -61,13 +63,22 @@
     case ${CHEM} in 
 	AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux    output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants  output_freq ${freq_output}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2    enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   invariants1  enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml invariants2  enabled ${enable2}
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -78,9 +89,16 @@
 	;;
 	DUSS)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation  output_freq ${freq_output}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2  enabled ${enable2}
+
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
 		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
@@ -90,23 +108,43 @@
 	;;
 	NMHC) 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux    output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout     output_freq ${freq_output}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2  enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2 enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2   enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2 enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2      enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2   enabled ${enable2}  
+
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
 	    ;;
 	NMHC_AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux    output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation  output_freq ${freq_output}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2} 
+
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
 		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
@@ -117,14 +155,25 @@
 
 	NMHC_AER_S)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions   output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel        output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout     output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux    output_freq ${freq_output}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation  output_freq ${freq_output}
+ 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+ 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2}  
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -135,9 +184,10 @@
 	;;
 	GES)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml divers   output_freq ${freq_output}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1    enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2    enabled ${enable2}
+
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
 	esac
-
-
 
 
@@ -148,4 +198,32 @@
 	IGCM_comp_modifyDefFile nonblocker inca.def LMDZ_10m_winds  n
     fi
+
+    if [  X${inca_UserChoices_10m_winds_method} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method  threshold
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method ${inca_UserChoices_10m_winds_method}
+    fi
+
+
+    if [ ! X${inca_UserChoices_wind_parameter} = X ] ; then 
+	if [  X${inca_UserChoices_10m_winds_method} = Xthreshold ] ; then 
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
+	else
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref ${inca_UserChoices_wind_parameter}
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+	fi
+    else
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+    fi
+
+    if [  X${inca_UserChoices_seasalt_corr} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def  ss_corr  DEFAULT
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def  ss_corr ${inca_UserChoices_seasalt_corr}
+    fi
+
+
 
     # inca.def : choose write frequency for inca_avgr in inca.card
@@ -191,4 +269,10 @@
     fi
     
+    #inca.def : choose time interpolation for sflx.nc
+    if [ ! X${inca_UserChoices_emi_interp_time} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time ${inca_UserChoices_emi_interp_time}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time 1
+    fi
 
     #inca.def : choose output library 
@@ -205,10 +289,4 @@
     fi
 
-
-    if [  X${inca_UserChoices_10m_winds_method} = X ] ; then
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method  threshold
-    else
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method ${inca_UserChoices_10m_winds_method}
-    fi
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/inca.def
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/inca.def	(revision 3283)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/inca.def	(revision 3598)
@@ -5,6 +5,4 @@
 LMDZ_10m_winds=_AUTO_
 10m_winds_method=_AUTO_
-#freq_write_chem --> write frequency for inca_inst and inca_avgr (86400 = 1/day)
-freq_write_chem=_AUTO_
 #choose if there is a feedback with the areosol effect
 feedb=_AUTO_
@@ -12,8 +10,10 @@
 XIOS_INCA_OK=_AUTO_
 IOIPSL_INCA_OK=_AUTO_
-#weibull 10m wind parameter
-kref=4.0
-#threshold 10m wind parameter
-tref=0.85
+#weibull 10m wind parameter / def 4
+kref=_AUTO_: DEFAULT =4
+#threshold 10m wind parameter / def 0.78
+tref=_AUTO_: DEFAULT =0.78
+#seasalt_correctif / def = 1 
+ss_corr=_AUTO_: DEFAULT =1 
 #sedimentation 
 multilayer_sediment=_AUTO_
@@ -31,4 +31,4 @@
 #choose which type of aircraft you will use (0 - 1 - 2 - 3) (no aircraft / old inca aircraft / new subsonic inca aircraft / subsonic + hypersonic inca aircraft)
 flag_plane=_AUTO_
-#choose if you want or not a time interpolation to use emission flux 
-emi_interp_time=1
+#choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
+emi_interp_time=_AUTO_
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/traceur.def_h2o_AP
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/traceur.def_h2o_AP	(revision 3598)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/traceur.def_h2o_AP	(revision 3598)
@@ -0,0 +1,4 @@
+2
+10 10 H2Ov
+10 10 H2Ol
+
